import { utils } from '@qubejs/core';
import apiBridge, { getParsers, addParsers, setErrorCodes } from './api-bridge';
import * as appEvents from './app-events';
import browser from './browser';
import common from './common';
import * as currency from './currency';
import * as storage from './storage';
import * as datetime from './datetime';
import * as errorMessages from './error-messages';
import EventManager from './event-manager';
import CustomModule from './custom-module';
import accentColors from './accent-colors';
import * as format from './format';
import * as mask from './mask';
import * as number from './number';
import * as properties from './properties';
import * as queryString from './query-string';
import * as redirect from './redirect';
import string from './string';
import cookie from './cookie-manager';
import * as translate from './translate';
import * as validator from './validator';
import * as win from './window';
declare const path: {
    ensureSlashAtEnd: (path: any) => any;
    ensureNoSlashAtEnd: (path: any) => any;
    ensureNoSlashAtStart: (path: any) => any;
    ensureSlashAtStart: (path: any) => any;
    convertTextToPath: (text?: string) => string;
}, object: {
    clone: (obj: any) => any;
    extendData: (org?: {}, update?: {}) => {};
    processEachParam: (userData: any, key: any, defaultValue: any, options: any) => any;
    getDataFromKey: (data: {}, key: any, defaultValue?: any, options?: any) => any;
    processBlock: (block: any, options?: any, defaultValue?: any) => any;
    processMessage: (html: any, data?: {}, options?: any) => any;
}, timer: {
    delay: (timer?: number) => Promise<unknown>;
}, Timeunit: typeof utils.Timeunit;
declare const processor: utils.CustomProcessor;
declare const CustomProcessor: typeof utils.CustomProcessor;
export { apiBridge, appEvents, browser, common, currency, datetime, object, path, errorMessages, cookie, CustomModule, EventManager, CustomProcessor, format, mask, Timeunit, number, properties, queryString, accentColors, redirect, timer, translate, validator, processor, storage, string, setErrorCodes, getParsers, addParsers, win, };
